// argument0 - x value
// argument1 - y value
// argument2 - type (1, 2, 3, ...)

var ii = argument0/BLOCK_SIZE;
var jj = argument1/BLOCK_SIZE;

var temp = 15;
var type = argument2;

if(jj>0) { if(o_data.GRID[ii,jj-1]==type) temp-=1; }            // top right
if(ii>0) { if(o_data.GRID[ii-1,jj]==type) temp-=4; }            // bottom left
if(o_data.GRID[ii,jj]==type) temp-=2;                           // bottom right
if(ii>0 && jj>0) { if(o_data.GRID[ii-1,jj-1]==type) temp-=8; }  // top left

switch(argument2){
  case 1: // block A
    var tileset = bg_white_special;
    break;
  case 2: // block B
    var tileset = bg_white_tile;
    break;
}

switch(argument2){
  case 1: // block A
    if(tile_exists(o_data.TILE_A[ii,jj])) tile_delete(o_data.TILE_A[ii,jj]);
    if(temp<15) o_data.TILE_A[ii,jj] = tile_add(tileset,1+temp*(BLOCK_SIZE+2),1,BLOCK_SIZE,BLOCK_SIZE,BLOCK_SIZE*(ii-0.5),BLOCK_SIZE*(jj-0.5),-40); // was -40 // otherwise is empty
    break;
  case 2: // block B
    if(tile_exists(o_data.TILE_B[ii,jj])) tile_delete(o_data.TILE_B[ii,jj]);
    if(temp<15) o_data.TILE_B[ii,jj] = tile_add(tileset,1+temp*(BLOCK_SIZE+2),1,BLOCK_SIZE,BLOCK_SIZE,BLOCK_SIZE*(ii-0.5),BLOCK_SIZE*(jj-0.5),-40); // otherwise is empty
    break;
}
